> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Beneficiary Details

> Use this API to get the details of a particular beneficiary in your account.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [Beneficiary V2](/api-reference/payouts/v2/beneficiary-v2/get-beneficiary-v2). </Warning>

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />

<Accordion title="Click to view the response codes.">
  | Sub code | Status  | Message                      | Next action                                                                                              |
  | :------- | :------ | :--------------------------- | :------------------------------------------------------------------------------------------------------- |
  | 200      | SUCCESS | Details of beneficiary       | -                                                                                                        |
  | 403      | ERROR   | Token is not valid           | Verify the generated token                                                                               |
  | 404      | ERROR   | Beneficiary does not exist   | Provide a valid beneficiary ID                                                                           |
  | 412      | ERROR   | Token missing in the request | Enter the generated token as the value for Authorization under Headers in this format: `Bearer <token>`. |
</Accordion>


## OpenAPI

````yaml get /payout/v1/getBeneficiary/{beneId}
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/getBeneficiary/{beneId}:
    get:
      summary: Get Beneficiary Details
      description: >-
        Use this API to get the details of a particular beneficiary in your
        account.
      operationId: getbeneficiary-details
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: beneId
          in: path
          description: >-
            Unique Beneficiary ID of the beneficiary for which you want to view
            the details.
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_5'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_404_2'
      deprecated: false
      security: []
components:
  schemas:
    inline_response_200_5:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: Details of beneficiary
        data:
          $ref: '#/components/schemas/inline_response_200_5_data'
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_404_2:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '404'
        message:
          type: string
          example: Beneficiary does not exist
    inline_response_200_5_data:
      type: object
      properties:
        beneId:
          type: string
          example: JOHN18011
        name:
          type: string
          example: John
        groupName:
          type: string
          example: DEFAULT
        email:
          type: string
          example: johndoe@cashfree.com
        phone:
          type: string
          example: '9876543210'
        address1:
          type: string
          example: ABCavenue
        address2:
          type: string
          example: ''
        city:
          type: string
          example: Bangalore
        state:
          type: string
          example: Karnataka
        pincode:
          type: string
          example: '0'
        bankAccount:
          type: string
          example: '00001111222233'
        ifsc:
          type: string
          example: HDFC0000001
        status:
          type: string
          example: VERIFIED

````